﻿Imports Sonora.Console.Presenters

Namespace Sonora.Console

	''' <summary>
	''' Interaction logic for MainWindow.xaml
	''' </summary>
	Partial Public Class MainWindow
		Inherits Window

		Private ReadOnly _presenter As MainWindowPresenter

		Public Sub New()

			InitializeComponent()
			_presenter = New MainWindowPresenter
			DataContext = _presenter

			AddHandler ButtonConfirm.Click, AddressOf ButtonConfirmClick
			AddHandler ButtonShowInFolder.Click, AddressOf ButtonShowInFolderClick
			InputCommandText.Focus()

		End Sub

		Private Sub ButtonShowInFolderClick(ByVal sender As Object, ByVal e As RoutedEventArgs)

			_presenter.ShowInFolder()

		End Sub

		Private Sub ButtonConfirmClick(ByVal sender As Object, ByVal e As RoutedEventArgs)

			_presenter.Confirm()

		End Sub

	End Class

End Namespace
