﻿Imports System.ComponentModel

Namespace Sonora.Console.Presenters

    ''' <summary>
    ''' Base class for presenters to use in the app: just support notifications.
    ''' </summary>
    Public Class PresenterBase
        Implements INotifyPropertyChanged

#Region "INotifyPropertyChanged"
        Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
        Protected Sub OnPropertyChanged(ByVal [property] As String)
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs([property]))
        End Sub
#End Region
    End Class

End Namespace