﻿Imports System.IO
Imports Microsoft.ClearScript
Imports Microsoft.ClearScript.V8

Namespace Sonora.Console.Framework

    Public Class SonoraSettings
        Public Sub New()

            Dim defaultPath = Path.Combine(Directory.GetCurrentDirectory(), "Sonora")
            Directory.CreateDirectory(defaultPath)

            Buffer = New StringWriter
            AutoClear = True
            AppendNewLine = True
            Engine = New V8ScriptEngine
            OutputFolder = defaultPath
            InputFolder = defaultPath
            DefaultFileName = "sonora.txt"

        End Sub

        Public Property Engine As ScriptEngine
        Public Property Buffer As StringWriter
        Public Property AutoClear As Boolean
        Public Property AppendNewLine As Boolean
        Public Property OutputFolder As String
        Public Property InputFolder As String
        Public Property DefaultFileName As String
    End Class

End Namespace